Jump to content
  • Advertisement
Sign in to follow this  
peter_b

converting .vcproj from 8.0 to 7.1, possible?

This topic is 4439 days old which is more than the 365 day threshold we allow for new replies. Please post a new topic.

If you intended to correct an error in the post then please contact us.

Recommended Posts

Advertisement
One of the guys here had to downgrade some .sln/.vcproj files from 8 to 7 (since a certain platform's SDK still requires VC7, but our PC dev is now on VC8).

Anyway, looking at his conversion script, ignoring the platform changes, the only thing he did is a search and replace of:

"8.00" => "7.10" (in the .vcproj files)
"9.00" => "8.00" (in the .sln files)

That's it. I don't think he did anything by hand, so doing that may be sufficient.

Share this post


Link to post
Share on other sites
Yeah, it's kind of rediculous that these things aren't backwards compatible. As mossmoss has said already, it is simply a matter of changing the Version field in the .vcproj file (it's an XML file). I assume that there could be features that VC7.1 does not support in an 8.0 vcproj, but for most purposes I'm sure the above will work.


jfl.

Share this post


Link to post
Share on other sites
Sign in to follow this  

  • Advertisement
×

Important Information

By using GameDev.net, you agree to our community Guidelines, Terms of Use, and Privacy Policy.

Participate in the game development conversation and more when you create an account on GameDev.net!

Sign me up!